CXXFLAGS = -std=c++0x -O2 -g -Wall -fmessage-length=0 -Wreorder -Wwrite-strings -Wsign-compare

OBJS = Main.o GSATThread.o ControlBandit.o GSAT/GSAT.o GSAT/ArrayFiller.o GSAT/CFormula.o

LIBS = -lpthread

TARGET = GSATSolver

$(TARGET):	$(OBJS)
	$(CXX) -o $(TARGET) $(OBJS) $(LIBS)

all:	$(TARGET)

clean:
	rm -f $(OBJS) $(TARGET)
	rm -rf *.*~
	rm -rf *~

run:
	./GSATSolver -i ../../benchmarks/uf150/uf150-099.cnf -t 4

epsilon:
	./GSATSolver -i ../../benchmarks/uf150/uf150-099.cnf -t 4 -e 0.2

dynamic:
	./GSATSolver -i ../../benchmarks/uf150/uf150-099.cnf -t 4 -d

start:
	./GSATSolver -i ../../benchmarks/uf150/uf150-099.cnf -t 4 -d -e 0.2